- job:
    name: systems-diagnostics-amd64
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-discover
            everyone-flat:
                - job-build
                - job-read
                - job-extended-read
                - job-workspace
        - build-discarder:
            days-to-keep: 5
            num-to-keep: 10
    disabled: false
    node: docker-bionic-amd64
    display-name: 'Systems Diagnostics - AMD64'

    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/systems/diag-protected.git
            branches:
                - origin/master
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            skip-tag: true
            shallow-clone: true
            git-tool: jgit

    triggers:
        - pollscm: 'H/5 * * * *'

    wrappers:
        - timestamps
        - timeout:
            timeout: 500
        - ssh-agent-credentials:
                users:
                    - '768c1ba1-6052-4b97-a531-7e4fabda6979'


    builders:
        - shell: |
            bash -ex diag.sh

    publishers:
        - email:
            recipients: 'kelley.spoon@linaro.org'
